<!DOCTYPE html>
<html>
  <head>
    <title>Shop</title>
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <%= stylesheet_link_tag 'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <script src="https://js.stripe.com/v3/"></script>
    <script src="https://code.jquery.com/jquery-3.6.0.js" integrity="sha256-H+K7U5CnXl1h5ywQfKtSj8PCmoN9aaq30gDh27Xc0jk=" crossorigin="anonymous"></script>
    <%= javascript_pack_tag 'application', 'data-turbolinks-track': 'reload' %>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
    <link rel="stylesheet" href="https://pro.fontawesome.com/releases/v5.10.0/css/all.css" integrity="sha384-AYmEC3Yw5cVb3ZcuHtOA93w35dYTsvhLPVnYs9eStHfGJvOvKxVfELGroGkvsg+p" crossorigin="anonymous"/>    
  </head>

  <body>
    <% if user_signed_in? %>
      <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <div class="container-fluid">
          <a class="navbar-brand" href="/">Shop</a>
          <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarNav">
            <% if (current_user.has_role? :Admin) || (current_user.has_role? :Vendor) %>
            <ul class="navbar-nav ml-auto">
              <li class="nav-item">
                <div class="nav-link">
                  <% if current_user.has_role? :Admin %>
                    <%= link_to 'Dashboard', admins_path%>
                  <% else %>
                    <%= link_to 'Dashboard', vendors_path%>
                  <% end %>
                </div>
              </li>
              <li class="nav-item">
                <div class="nav-link">
                  <%= link_to 'Order', orders_path%>
                </div>
              </li>
              <li class="nav-item">
                <div class="nav-link">
                  <% if current_user.has_role? :Vendor %>
                    <%= link_to 'Products', products_path(:id=>current_user.id)%>
                  <% end %>
                </div>
              </li>
            </ul>
            <% end %>
            <ul class="navbar-nav ml-auto">
              <li class="nav-item">
                <div class="nav-link">
                  <%= link_to 'log out', destroy_user_session_url, method: :delete , id:"logout"%>
                </div>
              </li>
              <li class="nav-item">
                <div class="nav-link">
                  <%= link_to 'Profile', edit_user_registration_path %>
                </div>
              </li>
            </ul>
          </div>
        </div>
      </nav>
      <% if (current_user.has_role? :Admin) || (current_user.has_role? :Vendor) %>
        <main class="container p-3">
          <p class="notice"><%= notice %></p>
          <p class="alert"><%= alert %></p>
          <%= yield %>
        </main>
      <% end %>
      <% if current_user.has_role? :User %>
        <%= yield %>
      <% end %> 
    <% else %>
      <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <div class="container-fluid">
          <a class="navbar-brand" href="/">Shop</a>
          <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav ml-auto">
              <li class="nav-item">
                <div class="nav-link">
                  <%= link_to 'log in', new_user_session_path %>
                </div>
              </li>
              <li class="nav-item">
                <div class="nav-link">
                  <%= link_to 'Sign up ', new_user_registration_path, :id => "ppp" %>
                </div>
              </li>
            </ul>
          </div>
        </div>
      </nav>
      <br>
      <%= yield %>
    <% end %> 
  </body>
</html> 
